package models

// SearchDataSource 数据源ES搜索
type SearchDataSource struct {
	PrimaryId   int    `description:"主键ID"`
	IndexCode   string `description:"指标编码"`
	IndexName   string `description:"指标名称"`
	ClassifyId  int    `description:"分类ID"`
	Unit        string `description:"单位"`
	Frequency   string `description:"频度"`
	StartDate   string `description:"开始日期"`
	EndDate     string `description:"结束日期"`
	LatestValue string `description:"最新值(部分数据源如中国煤炭网存在97%这种数据...)"`
	Source      int    `description:"来源"`
	SourceName  string `description:"数据源名称"`
	SubSource   int    `description:"子来源"`
	IsDeleted   int    `description:"是否已删除：0-正常；1-已删除"`
	CreateTime  string `description:"创建时间"`
	ModifyTime  string `description:"修改时间"`
}
